@import '../../variables';

:host {
  color: $ch-dark-winter-cyan-light-gray;
}

mat-form-field {
  color: $ch-dark-winter-cyan-light-gray;
}

mat-datepicker-toggle {
  color: $ch-dark-winter-cyan-light-gray;
}

::ng-deep.mat-form-field-label {
  color: $ch-dark-winter-cyan-light-gray!important;
}

.kd-request-day-off {
  height: 40px;
  background: $ch-dark-winter-dark-blue;
  color: $ch-dark-winter-cyan-light-gray;
  border: 0.5px solid $ch-dark-winter-dark-blue-border;
  border-radius: 2px;
}

.kd-request-day-off:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
  cursor: pointer;
}

.kd-approved {
  color: $ch-dark-winter-green;
}

.kd-disapproved {
  color: $kd-btn-danger;
}

.kd-remove-danger {
  color: $kd-btn-danger;
}

.kd-remove-danger:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-edit {
  color: $ch-dark-winter-cyan;
}

.kd-edit:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-check {
  color: $ch-dark-winter-green;
}

.kd-check:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

table {
  width: 300px;

  tr {
    padding: 5px;
    margin-right: 8px;
  }
}
